# Module: crypto/mode/cfb

### Methods

#### (static) decrypt(algo, key, ciphertext, iv)

CFB decryption

##### Parameters:

Name | Type | Description
--- | --- | ---
`algo` | enums.symmetric | block cipher algorithm
`key` | Uint8Array |
`ciphertext` | MaybeStream.<Uint8Array> |
`iv` | Uint8Array |

Source:
  - crypto/mode/cfb.js, line 97

##### Returns:

MaybeStream<Uint8Array>

#### (static) encrypt(algo, key, plaintext, iv, config)

CFB encryption

##### Parameters:

Name | Type | Description
--- | --- | ---
`algo` | enums.symmetric | block cipher algorithm
`key` | Uint8Array |
`plaintext` | MaybeStream.<Uint8Array> |
`iv` | Uint8Array |
`config` | Object | full configuration, defaults to openpgp.config

Source:
  - crypto/mode/cfb.js, line 54

##### Returns:

MaybeStream<Uint8Array>